Skip to main content

October 28, 2026

· 3 min read

This release enhances template variable metadata across communication and gift card endpoints by adding fields to indicate which variables are required or part of a required group. Additionally, the customer reports endpoint now includes email addresses for family managers, enabling better contact management and reporting capabilities.

GET /communication/notification_types/membership_penalty

  • added the optional property template_variables/items/required to the response with the 200 status (media type: application/json)
  • added the optional property template_variables/items/required_group to the response with the 200 status (media type: application/json)
View updated docs

GET /communication/notification_types/missing_forms_waivers/metadata

  • added the optional property template_variables/items/required to the response with the 200 status (media type: application/json)
  • added the optional property template_variables/items/required_group to the response with the 200 status (media type: application/json)
View updated docs

GET /gift_cards/config/metadata

  • added the optional property template_variables/items/required to the response with the 200 status (media type: application/json)
  • added the optional property template_variables/items/required_group to the response with the 200 status (media type: application/json)
View updated docs

GET /reports/customers/data

  • added the required property rows/items/family/managers/items/email to the response with the 200 status
View updated docs